package com.example.testproject;

import com.vaadin.Application;
import com.vaadin.ui.*;

public class TestprojectApplication extends Application {
	
	private static final long serialVersionUID = 1L;

	@Override
	public void init() {
		Window mainWindow = new Window("Testproject Application");
		
		ChannelController channelController = new ChannelController();
		
		VerticalLayout main = new VerticalLayout();
		main.setSpacing(true);
		mainWindow.addComponent(main);
		setMainWindow(mainWindow);
		
		main.setMargin(true);

		Label caption = new Label ("<font size=\"5\"><center><b>Video Streamer</b></center></font>");
		caption.setSizeUndefined();
		main.addComponent(caption);
		caption.setContentMode(Label.CONTENT_XHTML);
				
		SplitPanel split = new SplitPanel(SplitPanel.ORIENTATION_VERTICAL);
		split.setHeight("550px");
		split.setWidth("80%");
		main.addComponent(split);
		main.setComponentAlignment(split, Alignment.MIDDLE_CENTER);
		
		split.setLocked(true);
		split.setMargin(true);
		split.addStyleName("remotejukeboxstyle");
		
		ChannelView channelView = new ChannelView(channelController);
		split.setFirstComponent(channelView);
		channelController.addPlaylistListener(channelView);
		
		PlaylistView playlist = new PlaylistView(channelController);
		split.setSecondComponent(playlist);
		channelController.addChannelListener(playlist);
		
		main.setComponentAlignment(caption, Alignment.TOP_CENTER);
	}
}
